clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< FileFilter > Struct Template Reference

## Static Public Member Functions
static void | mapping (IO &IO, FileFilter &File)
static StringRef | validate (IO &io, FileFilter &File)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< FileFilter >

Definition at line 47 of file ClangTidyOptions.cpp.

## Member Function Documentation

static void llvm::yaml::MappingTraits< FileFilter >::mapping | ( | IO & | IO,
|  | FileFilter & | File
| ) |  |
| inline static

Definition at line 48 of file ClangTidyOptions.cpp.

References clang::tidy::FileFilter::LineRanges, and clang::tidy::FileFilter::Name.

static StringRef llvm::yaml::MappingTraits< FileFilter >::validate | ( | IO & | io,
|  | FileFilter & | File
| ) |  |
| inline static

Definition at line 52 of file ClangTidyOptions.cpp.

References clang::tidy::FileFilter::LineRanges, clang::tidy::FileFilter::Name, and Range.

The documentation for this struct was generated from the following file:

- ClangTidyOptions.cpp